import * as i0 from "@angular/core";
export declare class NgmDrawerComponent {
    readonly opened: import("@angular/core").ModelSignal<boolean>;
    get _opened(): boolean;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmDrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmDrawerComponent, "ngm-drawer", never, { "opened": { "alias": "opened"; "required": false; "isSignal": true; }; }, { "opened": "openedChange"; }, never, ["*"], true, never>;
}
